Subject: bug#9210: Documentation: misleading wording

From: Bob Friesenhahn <[email-masked]>
Date: Thu, 4 Aug 2011 14:35:03 -0500 (CDT)

On Thu, 4 Aug 2011, Christophe Jarry wrote:

>> While libtool is a GNU project, I think that this effort by the FSF to
>> independently re-entitle Linux to "GNU/Linux" subsequent to the
>> effective failure of their Hurd OS is foolish
>
> Why is it foolish? During the first years I used GNU/Linux, I believed Linus
> Torvalds did write the entire operating system, just because I only knew the
> name "Linux" for the entire system! So I think it is fair to say GNU/Linux.

I agree with you that all major contributors should be recognized. 
However, it is not necessary/useful to change the name to suit each 
major contributor.

The reason why I call it "foolish" is that it serves no useful 
purpose.

> What is a typical GNU/Linux system?

Ubtuntu desktop with GNOME and KDE.

> So technically speaking, GNU tools are required to run a GNU/Linux system.

At the moment, only the GNU C library is required to run a GNU/Linux 
system.  If this is replaced with a non-GNU C library, then Linux can 
run without the GNU.

>> I think that it is better to stick with the names that the developers of the
>> Linux kernel and the users prefer to use.
>
> In what way is that better?

Because it is what they prefer to use.

If GNU developers cared about this issue then all instances of "Linux" 
in package documentation would have been substituted to "GNU/Linux" 
quite some time ago.  Instead they silently ignore it similar to the 
way they previously ignored the RMS directive to use only Scheme and 
Guile for scripting.

Bob
-- 
Bob Friesenhahn
[email-masked], http://www.simplesystems.org/users/bfriesen/
GraphicsMagick Maintainer,    http://www.GraphicsMagick.org/